Dependency to cairo-dock-plug-ins

Asked by Nicolas Toniazzi on 2012-01-06

cairo-dock-core only suggests the package cairo-dock-plug-ins. If installed alone, it launches, tells that there is no use in running it without plugins, then stops.
Dependency should then be "required".

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu cairo-dock Edit question
Assignee:
No assignee Edit question
Solved by:
Nicolas Toniazzi
Solved:
2012-01-09
Last query:
2012-01-09
Last reply:
2012-01-07

Report a bug if you suspect one

marcus aurelius (adbiz) said : #2

what exactly is your question? i have cairo dock running on a couple of machines with no problem.

which version of ubuntu are you using?

It's working, there is no problem or bug.

I just wanted a minimal config with no extra plugins, no Mono, etc. When I remove cairo-dock-plug-ins (it's not hard linked to cairo-dock-core), I cannot run cairo-dock.

If cairo-dock cannot be used without the plugins package, we should not be able to install only cairo-dock-core.

Ubuntu oneiric.

mycae (mycae) said : #4

Hi Nicholas,

If you do see the behaviour you suggest in your original post, then this would indeed be a bug -- please report it, and link it here. Suggests dependencies should only be for non-essential/marginally useful additions to packages. Requires should be used if the package is unusable without the dependency

Hi,
I may have had an unstable configuration when I was playing with cairo-dock. Starting from a clean install of oneiric, the dependencies are correct. Sorry for the trouble.